6.0.0-git
2019-04-24

[#6571] OpenID Login
Summary OpenID Login
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Rejected
Priority 1. Low
Owners
Requester flanker (at) gmail (dot) com
Created 2008-04-06 (4035 days ago)
Due
Updated 2011-02-03 (3002 days ago)
Assigned
Resolved 2011-01-31 (3005 days ago)
Milestone
Patch No

History
2011-02-03 01:49:06 flanker (at) gmail (dot) com Comment #13 Reply to this comment
Well my mail set up has changed and (unfortunately) I'm no longer on 
Horde.  I'm ashamed to admit I actually don't remember what prompted 
me to request this feature, so if I was the only requester, it's 
probably safe to drop this for now.

That said, I'm not sure I agree with most of the points in the most 
recently linked article.  This bug report may not be the best place 
for a rebuttal, but here goes:

1. The argument that OpenID solves a non-existent problem is poorly 
made, especially in the context of email.  Half of the proposed 
workarounds are essentially: don't use the site if you don't feel like 
registering.  The other half are: spend 5 minutes registering and use 
some 3rd mechanism to remember your login.

2. The irony-of-OpenID argument is tired. Yes, you need one additional 
registration to save potentially dozens of future registrations. Yes. 
you can make it sound ridiculous if you entirely neglect the second 
half of that statement, as many people have done since day 1.

3. Really the only valid criticism is that using a URL as an ID is 
confusing to end users.  This is an education/familiarity issue.  Any 
*developer* unable to grasp the OpenID credential exchange should not 
be handling my data.  :)  And I doubt Horde ever wants to implement a 
Facebook-dependent solution or cave to the argument that "no one 
really cares about security anyways."

So to summarize, I don't need a third-party login feature any more, 
but if Horde were to implement such a thing, I still think OpenID is 
the way to go. :)
2011-01-31 23:30:40 Chuck Hagenbuch Comment #12
State ⇒ Rejected
Reply to this comment
I think we may have outlasted this one. See 
http://www.25hoursaday.com/weblog/2011/01/30/LearningFromOurMistakesTheFailureOfOpenIDAtomPubAndXMLOnTheWeb.aspx, and the writeups linked from 
there.
2010-01-25 22:54:26 Chuck Hagenbuch Comment #10
Version ⇒ Git master
Reply to this comment
Thanks for the recommendation - we'll take a look before we dig into this.
2010-01-25 21:43:52 john (dot) mckinzey (at) gmail (dot) com Comment #9 Reply to this comment
I noticed that the proposal for this was to use Zend_Crypt.  Having 
used that, myself, I, personally, would recommend that phpseclib be 
used, instead:

http://phpseclib.sourceforge.net/

phpseclib has been discussed here before:

http://bugs.horde.org/ticket/8341#c2
2008-10-11 00:43:29 Chuck Hagenbuch Comment #5 Reply to this comment
2008-05-02 15:31:16 Chuck Hagenbuch Version ⇒ HEAD
Queue ⇒ Horde Framework Packages
 
2008-04-16 13:25:20 g (dot) tourv (at) gmail (dot) com Comment #3 Reply to this comment
Hello

Do they are some commit in cvs for this implementation ?

a little start of code or do you have a delay for implemante openID in horde.

thank you for your reply.
The start of implementation notes/resources are here:
http://wiki.horde.org/Project/OpenID
2008-04-06 21:49:28 Chuck Hagenbuch Comment #2
State ⇒ Accepted
Reply to this comment
The start of implementation notes/resources are here:

http://wiki.horde.org/Project/OpenID
2008-04-06 21:03:21 flanker (at) gmail (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ OpenID Login
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
It'd be nice to have Horde/IMP support OpenID login.  You've been 
listed on the wishlist at http://wiki.openid.net/WishList for quite 
some time.  :)

Saved Queries